### Enumeration

# Hinawa FwRcode

since: 1.0

#### Declaration

    enum Hinawa.FwRcode

#### Description [src]

A representation for rcode of asynchronous transaction on IEEE 1394 bus.

Available since: 1.0

#### Members

`HINAWA_FW_RCODE_COMPLETE`

  For completion.

  - Value: `0`
  - Available since: 1.0
`HINAWA_FW_RCODE_CONFLICT_ERROR`

  For error of conflicting.

  - Value: `4`
  - Available since: 1.0
`HINAWA_FW_RCODE_DATA_ERROR`

  For error of data.

  - Value: `5`
  - Available since: 1.0
`HINAWA_FW_RCODE_TYPE_ERROR`

  For error of type.

  - Value: `6`
  - Available since: 1.0
`HINAWA_FW_RCODE_ADDRESS_ERROR`

  For error of address.

  - Value: `7`
  - Available since: 1.0
`HINAWA_FW_RCODE_SEND_ERROR`

  For error of sending.

  - Value: `16`
  - Available since: 1.0
`HINAWA_FW_RCODE_CANCELLED`

  For cancellation.

  - Value: `17`
  - Available since: 1.0
`HINAWA_FW_RCODE_BUSY`

  For busyness.

  - Value: `18`
  - Available since: 1.0
`HINAWA_FW_RCODE_GENERATION`

  For generation.

  - Value: `19`
  - Available since: 1.0
`HINAWA_FW_RCODE_NO_ACK`

  For no acknowledge.

  - Value: `20`
  - Available since: 1.0
`HINAWA_FW_RCODE_INVALID`

  For rcode out of specification.

  - Value: `21`
  - Available since: 1.0